Bug 1300850 - [Docs] [Horizon] 'yum erase openstack-dashboard-theme' also removes openstack-dashboard as a dependency
[Docs] [Horizon] 'yum erase openstack-dashboard-theme' also removes openstack...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Suyog Sainkar
Deepti Navale
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 17:26 EST by Dustin Black
Modified: 2017-04-24 01:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-24 01:04:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dustin Black 2016-01-21 17:26:38 EST
Description of problem:
A note in section 4.2 of the OSP 7 Configuration Reference suggests:

-----
If you do not want to use this theme you can remove it and its dependencies using the following command:

# yum erase openstack-dashboard-theme
-----

However, openstack-dashboard-theme is a dependency of openstack-dashboard, and so proceeding with this yum erase will remove the dashboard entirely.

https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/7/red-hat-enterprise-linux-openstack-platform-7-configuration-reference/chapter-4-dashboard
Comment 2 Ruchika K 2016-01-28 16:01:58 EST
Should be replaced with

rpm -e --nodeps openstack-dashboard-theme

verified that removing it like allows the horizaon dashboard to look like the RDO version
Comment 3 Andrew Dahms 2016-02-04 22:17:38 EST
Assigning to Suyog for review.

Suyog - this is the bug connected with customizing the dashboard.
Comment 7 Matthias Runge 2016-05-25 06:28:24 EDT
you can disable the -theme by doing the following:

cd /usr/share/openstack-dashboard/openstack_dashboard/enabled
cp _99_customization.py _999_remove_theme.py
echo "DISABLED = True" >> _999_remove_theme.py

systemctl restart httpd


this will disable the theme, and it won't come back after a package update.
Comment 8 Lucy Bopf 2017-04-24 01:04:32 EDT
The updated instructions for disabling the theme according to comment 7 have now been published for RHOSP 9 and RHOSP 10:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html-single/introduction_to_the_openstack_dashboard/#dashboard-customization

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/introduction_to_the_openstack_dashboard/#dashboard-customization

The need to update RHOSP 8 is being determined in bug 1298410, and the changes from this bug will be backported as well if required.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.